package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * @Description : 采购合同违约条款
 * @Author : JiaYf
 * @Date: 2021-09-17 18:20
 */
@TableName("purch_contract_punish_clause")
public class PurchContractPunishClause extends BaseEntity {

    /** 合同补偿金比例 **/
    private BigDecimal contractCompensateRate;

    /** 合同违约金比例 **/
    private BigDecimal contractPenaltyRate;

    /** 采购合同基本信息表Id **/
    private Long purchContractBasicInfoId;

    public BigDecimal getContractCompensateRate() {
        return contractCompensateRate;
    }

    public void setContractCompensateRate(BigDecimal contractCompensateRate) {
        this.contractCompensateRate = contractCompensateRate;
    }

    public BigDecimal getContractPenaltyRate() {
        return contractPenaltyRate;
    }

    public void setContractPenaltyRate(BigDecimal contractPenaltyRate) {
        this.contractPenaltyRate = contractPenaltyRate;
    }

    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }
}
